mtext_push_prop(3m17n)

NAME
mtext_push_prop - Push a text property.

SYNOPSIS
int mtext_push_prop (MText * mt, int from, int to, MSymbol key, void * val)

DESCRIPTION
Push a text property.

The mtext_push_prop() function pushes a text property whose key is key and value is val to the characters between from (inclusive) and to (exclusive) in M-text mt. With this function,

                    FROM                    TO
M-text: |<------------|-------- MT ---------|------------>|
PROP  :  <------------------ OLD_VAL -------------------->

becomes

                    FROM                    TO
M-text: |<------------|-------- MT ---------|------------>|
PROP  :  <------------------- OLD_VAL ------------------->
PROP  :               <-------- VAL ------->

RETURN VALUE

    If the operation was successful, mtext_push_prop() returns 0. Otherwise it returns -1 and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_RANGE, MERROR_SYMBOL

SEE ALSO

    mtext_put_prop(), mtext_put_prop_values(), mtext_get_prop(), mtext_get_prop_values(), mtext_pop_prop(), mtext_prop_range()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.